<?xml version="1.0" encoding="utf-8"?>

<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="10dp"
    android:background="@drawable/bg_edit_text_no_stroke"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/linear_layout_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_my_subscription_title">

        <View
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_centerInParent="true" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingLeft="10dp"
            android:paddingRight="10dp">

            <ImageView
                android:id="@+id/image_view_plan"
                android:layout_width="35dp"
                android:layout_height="35dp"
                android:layout_gravity="center"
                android:layout_marginStart="5dp"
                android:layout_marginEnd="10dp"
                android:src="@drawable/ic_one_plan" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/text_view_data_pack_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="5"
                android:gravity="center_vertical"
                android:paddingStart="10dp"
                android:text="@string/data_pack_small"
                android:textColor="@android:color/black"
                android:textSize="@dimen/large_text_size" />

            <ImageView
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:src="@drawable/ic_confirm"
                app:tint="@color/colorPrimary" />

        </LinearLayout>
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/relative_layout_voice_call"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/linear_layout_title"
        android:layout_marginStart="@dimen/my_sub_padding"
        android:layout_marginTop="@dimen/my_sub_padding"
        android:layout_marginEnd="@dimen/my_sub_padding">

        <ImageView
            android:id="@+id/image_view_voice_call"
            android:layout_width="18dp"
            android:layout_height="18dp"
            android:layout_marginTop="4dp"
            android:src="@drawable/ic_phone_call_map"
            app:tint="@color/colorPrimary" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/ctv_voice"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="5dp"
            android:layout_toEndOf="@+id/image_view_voice_call"
            android:text="@string/voice_tourist"
            android:textColor="@android:color/black" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/image_view_voice_call"
            android:layout_marginStart="5dp"
            android:layout_marginTop="-2dp"
            android:layout_toEndOf="@+id/image_view_voice_call"
            android:text="@string/unlimited_in_network"
            android:textSize="@dimen/small_text_size" />


    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/relative_layout_sms"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/linear_layout_title"
        android:layout_marginTop="@dimen/my_sub_padding"
        android:layout_toEndOf="@id/relative_layout_voice_call">

        <ImageView
            android:id="@+id/image_view_sms"
            android:layout_width="18dp"
            android:layout_height="18dp"
            android:layout_marginTop="4dp"
            android:src="@drawable/ic_email_pink"
            app:tint="@color/colorPrimary" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/ctv_sms"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="5dp"
            android:layout_toEndOf="@+id/image_view_sms"
            android:text="@string/sms_tourist"
            android:textColor="@android:color/black" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/image_view_sms"
            android:layout_marginStart="5dp"
            android:layout_marginTop="-2dp"
            android:layout_toEndOf="@+id/image_view_sms"
            android:text="@string/unlimited_in_network"
            android:textSize="@dimen/small_text_size" />


    </RelativeLayout>

    <FrameLayout
        android:id="@+id/layout_progress_bar"
        android:layout_width="105dp"
        android:layout_height="105dp"
        android:layout_below="@+id/relative_layout_sms"
        android:layout_marginStart="@dimen/my_sub_padding"
        android:layout_marginTop="@dimen/my_sub_padding"
        android:clipChildren="true">

        <com.seatel.mobilehall.util.circleprogress.ArcProgress
            android:id="@+id/view_progress_bar"
            android:layout_width="105dp"
            android:layout_height="105dp"
            app:arc_dataleft_text="@string/internet_left"
            app:arc_dataleft_text_color="#4d4a4b"
            app:arc_dataleft_text_size="10sp"
            app:arc_finished_color="@color/colorPrimary"
            app:arc_stroke_width="10dp"
            app:arc_suffix_text="MB"
            app:arc_suffix_text_color="#4d4a4b"
            app:arc_suffix_text_padding="2dp"
            app:arc_suffix_text_size="12sp"
            app:arc_text_color="@color/colorPrimary"
            app:arc_text_size="16sp"
            app:arc_text_unlimited_size="14sp"
            app:arc_unfinished_color="@color/colorUnfinishedBar" />
    </FrameLayout>

    <LinearLayout
        android:id="@+id/view_expired_internet"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/layout_progress_bar"
        android:layout_alignStart="@+id/layout_progress_bar"
        android:layout_alignEnd="@+id/layout_progress_bar"
        android:layout_marginTop="-15dp"
        android:layout_marginBottom="15dp"
        android:gravity="center"
        android:orientation="vertical">

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/expires"
            android:textColor="@android:color/black" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/text_view_internet_exp_date"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="-2dp"
            android:text="25 Aug, 2018"
            android:textColor="@color/colorPrimary"
            android:textSize="@dimen/small_text_size" />

    </LinearLayout>

    <RelativeLayout
        android:id="@+id/layout_global"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/relative_layout_sms"
        android:layout_marginStart="20dp"
        android:layout_marginTop="@dimen/my_sub_padding"
        android:layout_toEndOf="@+id/layout_progress_bar"
        android:gravity="center"
        android:visibility="gone">

        <ImageView
            android:id="@+id/img_global"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_centerVertical="true"
            android:scaleType="fitEnd"
            android:src="@drawable/ic_global_data"
            android:visibility="gone" />

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_toEndOf="@+id/img_global">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/txt_data_total"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:text="0.0"
                android:textColor="@color/colorPrimary"
                android:textSize="18sp"
                android:textStyle="bold" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/text_view_size"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@+id/txt_data_total"
                android:paddingLeft="1dp"
                android:text="GB"
                android:textColor="#231f20"
                android:textSize="18sp" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@+id/text_view_size"
                android:paddingLeft="3dp"
                android:text="@string/total_data_sub"
                android:textColor="#231f20"
                android:textSize="14sp" />

        </RelativeLayout>
    </RelativeLayout>

    <LinearLayout
        android:id="@+id/linear_layout_one_plan_detail"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/layout_global"
        android:layout_marginStart="@dimen/my_sub_padding"
        android:layout_marginTop="15dp"
        android:layout_marginEnd="@dimen/my_sub_padding"
        android:layout_marginBottom="4dp"
        android:layout_toEndOf="@id/layout_progress_bar"
        android:gravity="center_vertical">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="55dp"
            android:layout_marginStart="5dp"
            android:layout_marginEnd="5dp"
            android:layout_weight="1"
            android:background="@drawable/bg_edit_text_gray_stroke"
            android:gravity="center"
            android:orientation="vertical">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/subscription"
                android:textColor="@android:color/black" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/text_view_sub_date"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="-2dp"
                android:text="25 Aug, 2018"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/small_text_size" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="55dp"
            android:layout_weight="1"
            android:background="@drawable/bg_edit_text_gray_stroke"
            android:gravity="center"
            android:orientation="vertical">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/expires"
                android:textColor="@android:color/black" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/text_view_exp_date"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="-2dp"
                android:text="25 Aug, 2018"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/small_text_size" />

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/linear_layout_one_plan_detail_below"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/linear_layout_one_plan_detail"
        android:layout_marginStart="@dimen/my_sub_padding"
        android:layout_marginTop="0dp"
        android:layout_marginEnd="@dimen/my_sub_padding"
        android:layout_marginBottom="15dp"
        android:layout_toEndOf="@id/layout_progress_bar"
        android:gravity="center_vertical">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="55dp"
            android:layout_marginStart="5dp"
            android:layout_marginEnd="0dp"
            android:layout_weight="1.3"
            android:background="@drawable/bg_edit_text_gray_stroke"
            android:gravity="center"
            android:orientation="vertical">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/bonlance"
                android:textColor="@android:color/black" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/text_view_balance"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="-2dp"
                android:text="$0"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/small_text_size" />

        </LinearLayout>

    </LinearLayout>

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/button_buy"
        android:layout_width="match_parent"
        android:layout_height="@dimen/button_height"
        android:layout_below="@+id/view_expired_internet"
        android:layout_marginStart="@dimen/my_sub_padding"
        android:layout_marginEnd="@dimen/my_sub_padding"
        android:layout_marginBottom="@dimen/my_sub_padding"
        android:background="@drawable/bg_button_stroke"
        android:gravity="center"
        android:text="@string/top_up"
        android:textColor="@color/colorPrimary"
        android:textSize="@dimen/default_text_size" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:layout_width="105dp"
        android:layout_height="wrap_content"
        android:layout_alignStart="@+id/layout_progress_bar"
        android:layout_alignBottom="@+id/layout_progress_bar"
        android:layout_marginBottom="11dp"
        android:gravity="center_horizontal"
        android:text="@string/internet_left"
        android:textColor="#4d4a4b"
        android:textSize="10sp"
        android:visibility="gone" />

</RelativeLayout>